From da9b7fe1b3d216729bc36aac33b96b6458fa6943 Mon Sep 17 00:00:00 2001
From: Chanho Park <chanho61.park@samsung.com>
Date: Mon, 5 Dec 2016 22:55:29 +0900
Subject: [PATCH 2/2] qtbase: mkspec: add artik device conf

Signed-off-by: Chanho Park <chanho61.park@samsung.com>
---
 .../mkspecs/devices/linux-artik-64-g++/qmake.conf  | 18 ++++++++++++
 .../devices/linux-artik-64-g++/qplatformdefs.h     | 34 ++++++++++++++++++++++
 qtbase/mkspecs/devices/linux-artik-g++/qmake.conf  | 17 +++++++++++
 .../devices/linux-artik-g++/qplatformdefs.h        | 34 ++++++++++++++++++++++
 4 files changed, 103 insertions(+)
 create mode 100644 qtbase/mkspecs/devices/linux-artik-64-g++/qmake.conf
 create mode 100644 qtbase/mkspecs/devices/linux-artik-64-g++/qplatformdefs.h
 create mode 100644 qtbase/mkspecs/devices/linux-artik-g++/qmake.conf
 create mode 100644 qtbase/mkspecs/devices/linux-artik-g++/qplatformdefs.h

diff --git a/qtbase/mkspecs/devices/linux-artik-64-g++/qmake.conf b/qtbase/mkspecs/devices/linux-artik-64-g++/qmake.conf
new file mode 100644
index 000000000000..27683619fee2
--- /dev/null
+++ b/qtbase/mkspecs/devices/linux-artik-64-g++/qmake.conf
@@ -0,0 +1,18 @@
+#
+# qmake configuration for linux-odroid-xu3-g++ using the arm-linux-gnueabihf-g++ crosscompiler
+#
+
+include(../common/linux_device_pre.conf)
+
+DISTRO_OPTS += hard-float
+DISTRO_OPTS += deb-multi-arch
+
+QMAKE_CFLAGS += -march=armv8-a -mtune=cortex-a53 -mfpu=crypto-neon-fp-armv8
+QMAKE_CXXFLAGS += $$QMAKE_CFLAGS
+
+# Preferred eglfs backend
+EGLFS_DEVICE_INTEGRATION = eglfs_kms
+
+include(../common/linux_arm_device_post.conf)
+
+load(qt_config)
diff --git a/qtbase/mkspecs/devices/linux-artik-64-g++/qplatformdefs.h b/qtbase/mkspecs/devices/linux-artik-64-g++/qplatformdefs.h
new file mode 100644
index 000000000000..5ae49b35dd83
--- /dev/null
+++ b/qtbase/mkspecs/devices/linux-artik-64-g++/qplatformdefs.h
@@ -0,0 +1,34 @@
+/****************************************************************************
+**
+** Copyright (C) 2015 The Qt Company Ltd.
+** Contact: http://www.qt.io/licensing/
+**
+** This file is part of the qmake spec of the Qt Toolkit.
+**
+** $QT_BEGIN_LICENSE:LGPL21$
+** Commercial License Usage
+** Licensees holding valid commercial Qt licenses may use this file in
+** accordance with the commercial license agreement provided with the
+** Software or, alternatively, in accordance with the terms contained in
+** a written agreement between you and The Qt Company. For licensing terms
+** and conditions see http://www.qt.io/terms-conditions. For further
+** information use the contact form at http://www.qt.io/contact-us.
+**
+** GNU Lesser General Public License Usage
+** Alternatively, this file may be used under the terms of the GNU Lesser
+** General Public License version 2.1 or version 3 as published by the Free
+** Software Foundation and appearing in the file LICENSE.LGPLv21 and
+** LICENSE.LGPLv3 included in the packaging of this file. Please review the
+** following information to ensure the GNU Lesser General Public License
+** requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+** http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+**
+** As a special exception, The Qt Company gives you certain additional
+** rights. These rights are described in The Qt Company LGPL Exception
+** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+**
+** $QT_END_LICENSE$
+**
+****************************************************************************/
+
+#include "../../linux-g++/qplatformdefs.h"
diff --git a/qtbase/mkspecs/devices/linux-artik-g++/qmake.conf b/qtbase/mkspecs/devices/linux-artik-g++/qmake.conf
new file mode 100644
index 000000000000..12e2fa8b4ad9
--- /dev/null
+++ b/qtbase/mkspecs/devices/linux-artik-g++/qmake.conf
@@ -0,0 +1,17 @@
+#
+# qmake configuration for linux-odroid-xu3-g++ using the arm-linux-gnueabihf-g++ crosscompiler
+#
+
+include(../common/linux_device_pre.conf)
+
+DISTRO_OPTS += hard-float
+
+QMAKE_CFLAGS   += -march=armv7-a -marm -mthumb-interwork -mfpu=neon-vfpv4
+QMAKE_CXXFLAGS += $$QMAKE_CFLAGS
+
+# Preferred eglfs backend
+EGLFS_DEVICE_INTEGRATION = eglfs_kms
+
+include(../common/linux_arm_device_post.conf)
+
+load(qt_config)
diff --git a/qtbase/mkspecs/devices/linux-artik-g++/qplatformdefs.h b/qtbase/mkspecs/devices/linux-artik-g++/qplatformdefs.h
new file mode 100644
index 000000000000..5ae49b35dd83
--- /dev/null
+++ b/qtbase/mkspecs/devices/linux-artik-g++/qplatformdefs.h
@@ -0,0 +1,34 @@
+/****************************************************************************
+**
+** Copyright (C) 2015 The Qt Company Ltd.
+** Contact: http://www.qt.io/licensing/
+**
+** This file is part of the qmake spec of the Qt Toolkit.
+**
+** $QT_BEGIN_LICENSE:LGPL21$
+** Commercial License Usage
+** Licensees holding valid commercial Qt licenses may use this file in
+** accordance with the commercial license agreement provided with the
+** Software or, alternatively, in accordance with the terms contained in
+** a written agreement between you and The Qt Company. For licensing terms
+** and conditions see http://www.qt.io/terms-conditions. For further
+** information use the contact form at http://www.qt.io/contact-us.
+**
+** GNU Lesser General Public License Usage
+** Alternatively, this file may be used under the terms of the GNU Lesser
+** General Public License version 2.1 or version 3 as published by the Free
+** Software Foundation and appearing in the file LICENSE.LGPLv21 and
+** LICENSE.LGPLv3 included in the packaging of this file. Please review the
+** following information to ensure the GNU Lesser General Public License
+** requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+** http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+**
+** As a special exception, The Qt Company gives you certain additional
+** rights. These rights are described in The Qt Company LGPL Exception
+** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+**
+** $QT_END_LICENSE$
+**
+****************************************************************************/
+
+#include "../../linux-g++/qplatformdefs.h"
-- 
2.7.4
